# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KStartupInfoId Class Reference

Class representing an identification of application startup notification. More...

`#include <kstartupinfo.h>`

List of all members.

## Public Member Functions

bool | operator== (const KStartupInfoId &id) const
bool | operator!= (const KStartupInfoId &id) const
bool | none () const
void | initId (const QCString &id="")
const QCString & | id () const
unsigned long | timestamp () const
bool | setupStartupEnv () const
| KStartupInfoId ()
| KStartupInfoId (const KStartupInfoId &data)
KStartupInfoId & | operator= (const KStartupInfoId &data)
bool | operator< (const KStartupInfoId &id) const

## Friends

class | KStartupInfo

## Detailed Description

Class representing an identification of application startup notification.

Every existing notification about a starting application has its own unique identification, that's used to identify and manipulate the notification.

See also:
  KStartupInfo

  KStartupInfoData

Author:
  Lubos Lunak <l.lunak@kde.org>

Definition at line 390 of file kstartupinfo.h.

## Constructor & Destructor Documentation

KStartupInfoId::KStartupInfoId | ( |  | ) |

| Creates an empty identification. Definition at line 1024 of file kstartupinfo.cpp.

KStartupInfoId::KStartupInfoId | ( | const KStartupInfoId & | data | ) |

| Copy constructor. Definition at line 1034 of file kstartupinfo.cpp.

## Member Function Documentation

bool KStartupInfoId::operator== | ( | const KStartupInfoId & | id | ) | const

Overloaded operator.

Returns:
  true if the notification identifications are the same

Definition at line 1048 of file kstartupinfo.cpp.

References id().

bool KStartupInfoId::operator!= | ( | const KStartupInfoId & | id | ) | const

Overloaded operator.

Returns:
  true if the notification identifications are different

Definition at line 1053 of file kstartupinfo.cpp.

bool KStartupInfoId::none | ( |  | ) | const

Checks whether the identifier is valid.

Returns:
  true if this object doesn't represent a valid notification identification

Definition at line 1064 of file kstartupinfo.cpp.

References QCString::isEmpty().

Referenced by timestamp().

void KStartupInfoId::initId | ( | const QCString & | id = `""` | ) |

Initializes this object with the given identification ( which may be also "0" for no notification ), or if "" is given, tries to read it from the startup notification environment variable, and if it's not set, creates a new one.

Parameters:

  | id | the new identification, "0" for no notification or "" to read the environment variable

Definition at line 976 of file kstartupinfo.cpp.

References KStartupInfo::createNewStartupId(), and endl().

const QCString & KStartupInfoId::id | ( |  | ) | const

Returns the notification identifier as string.

Returns:
  the identification string for the notification

Definition at line 951 of file kstartupinfo.cpp.

Referenced by operator==(), and setupStartupEnv().

unsigned long KStartupInfoId::timestamp | ( |  | ) | const

Return the user timestamp for the startup notification, or 0 if no timestamp is set.

Since:
  3.3

Definition at line 1069 of file kstartupinfo.cpp.

References QCString::findRev(), QCString::mid(), none(), and QCString::toLong().

bool KStartupInfoId::setupStartupEnv | ( |  | ) | const

Sets the startup notification environment variable to this identification.

Returns:
  true if successful, false otherwise

Definition at line 998 of file kstartupinfo.cpp.

References id(), and QCString::isEmpty().

The documentation for this class was generated from the following files:

- kstartupinfo.h
- kstartupinfo.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:06 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003